
Ruby - Bug #15882

OpenSSL::X509::Name.parse usage

05/27/2019 05:13 PM - zr2d2 (Zach Rowe)

Status: Closed   

Priority: Normal   

Assignee: ioquatix (Samuel Williams)   

Target version:    

ruby -v: 2.5 Backport: 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6:

UNKNOWN

Description

in ruby 2.5 and 2.6 the OpenSSL::X509::Name.parse_ssl method requires strings to start with forward slashes to use it as a delimiter

History

#1 - 06/04/2019 12:53 AM - jeremyevans0 (Jeremy Evans)

- Assignee set to hsbt (Hiroshi SHIBATA)

Your patch looks correct to me, but can you submit it as a pull request to the ruby/openssl repo: https://github.com/ruby/openssl/pulls

#2 - 06/04/2019 12:54 AM - jeremyevans0 (Jeremy Evans)

- Assignee changed from hsbt (Hiroshi SHIBATA) to rhenium (Kazuki Yamaguchi)

#3 - 12/13/2019 11:13 PM - ioquatix (Samuel Williams)

- Status changed from Open to Closed

- Assignee changed from rhenium (Kazuki Yamaguchi) to ioquatix (Samuel Williams)

Fixed in gem.

#4 - 12/13/2019 11:27 PM - JustJosh (Joshua Stowers)

Thanks for the patch.

Since there wasn't any recent movement, I submitted a pull request with it as requested by jeremyevans0.

I made sure to credit you in the commit description since you did all the work.

https://github.com/ruby/openssl/pull/306

The pull request has been merged by ioquatix.

Files

0001-use-delimiators-in-Name-class.patch 1.7 KB 05/27/2019 zr2d2 (Zach Rowe)
